com.trendmicro.ds.appcontrol.rest.api

## Interface IApplicationControlPolicyAPI

-     @Path(value="/policies")
       @Produces(value="application/json")
       @Consumes(value="application/json")
      public interface IApplicationControlPolicyAPI

  Interface to the Application Control Policy API.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `DescribeApplicationControlPolicyResponse` | `describeApplicationControlPolicy(java.lang.String sessionID, java.lang.Integer policyID)` Retrieve the application control settings for a policy.
    `void` | `modifyApplicationControlPolicy(java.lang.String sessionID, java.lang.Integer policyID, ModifyApplicationControlPolicyRequest request)` Modify the application control portion of a policy.

- - ### Method Detail

    - #### describeApplicationControlPolicy

          @GET
           @Path(value="{policyID}/application-control")
          DescribeApplicationControlPolicyResponse describeApplicationControlPolicy(@CookieParam(value="sID")
                                                                                                                                        java.lang.String sessionID,
                                                                                                                                        @PathParam(value="policyID")
                                                                                                                                        java.lang.Integer policyID)
                                                                                                                                 throws java.lang.Exception

      Retrieve the application control settings for a policy.
      Parameters:
        `sessionID` - a session ID returned by the Authentication API.
        `policyID` - the policy ID.
      Returns:
        a DescribeApplicationControlPolicyResponse containing the application control settings for the policy.
      Throws:
        `java.lang.Exception`

    - #### modifyApplicationControlPolicy

          @POST
           @Path(value="{policyID}/application-control")
          void modifyApplicationControlPolicy(@CookieParam(value="sID")
                                                                                                   java.lang.String sessionID,
                                                                                                   @PathParam(value="policyID")
                                                                                                   java.lang.Integer policyID,
                                                                                                   ModifyApplicationControlPolicyRequest request)
                                                                                            throws java.lang.Exception

      Modify the application control portion of a policy.
      Parameters:
        `sessionID` - a session ID returned by the Authentication API.
        `request` - a `ModifyApplicationControlPolicyRequest` describing the details of the policy.
      Throws:
        `java.lang.Exception`

Copyright © 2017 Trend Micro Inc. All Rights Reserved.